darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Prompt

Description

A more high-level API for what Darcs.Util.Prompt offers

# Documentation

data PromptChoice a #

Constructors

PromptChoice |
Fields pcKey :: Char pcWhen :: Bool pcAction :: IO a pcHelp :: String

data PromptConfig a #

Constructors

PromptConfig |
Fields pPrompt :: String pVerb :: String pChoices :: [[PromptChoice a]] pDefault :: Maybe Char

runPrompt :: PromptConfig a -> IO a #